Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001900TestLinkReportspublic2008-11-25 06:052009-01-20 05:19
Reporterkjelsbak 
Assigned Toschlundus 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 1 
Fixed in Version1.8 RC 2 
Summary0001900: Query Metrics will always report on build_id=1
DescriptionThe Results -> 'Query Metrics' will always report on build with id = 1.
The 'ID' hyper link in the 'Query Metrics Report' will point to build_id=1

http://localhost/testlink/lib/execute/execSetResults.php?level=testcase&build_id=1&id=763&version_id=764 [^]

*** build_id=1 (always)


Additional InformationWithout knowing the code in details, I think the problem can be found in resultsMoreBuilds_buildReport.php
This statement $execution_link_build = isset($_REQUEST['build']) ? intval($_REQUEST['build']) : null; will always return 1

I replaced $execution_link_build with $buildsToQuery in the $re = new results(.. statement

It sounds to work, but again I don't know the code in details
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox and IE
PHP Version5.2.5
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0004704)
fman (administrator)
2008-11-26 00:06

ok, thank for help, we will check

- Issue History
Date Modified Username Field Change
2008-11-25 06:05 kjelsbak New Issue
2008-11-25 06:05 kjelsbak Browser => Firefox and IE
2008-11-25 06:05 kjelsbak PHP Version => 5.2.5
2008-11-26 00:06 fman Note Added: 0004704
2008-11-26 03:16 schlundus Status new => assigned
2008-11-26 03:16 schlundus Assigned To => schlundus
2008-11-26 03:36 schlundus Status assigned => acknowledged
2008-11-26 03:48 schlundus Status acknowledged => resolved
2008-11-26 03:48 schlundus Fixed in Version => next development 1.8 RC 2
2008-11-26 03:48 schlundus Resolution open => fixed
2009-01-20 05:19 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker